Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 184549 - A11y problems in Team window
A11y problems in Team window
Status: VERIFIED FIXED
Product: connecteddeveloper
Classification: Unclassified
Component: Team Framework
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Jan Becicka
issues@connecteddeveloper
: A11Y
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-20 13:11 UTC by Jaromir Uhrik
Modified: 2010-04-26 14:39 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaromir Uhrik 2010-04-20 13:11:59 UTC
Product Version = NetBeans IDE 6.9 Beta (Build 201004200117)
Operating System = Linux version 2.6.27-14-generic running on i386
Java; VM; Vendor = 1.6.0_14
Runtime = Java HotSpot(TM) Client VM 14.0-b16

There are following problems in the Team window:
accessible name/description missing in KenaiCombo and also in the TreeList + these components are not available from keyboard

===============================================
 Tested Window title : Team
===============================================
Results of Accessibility test
 Doesn't implement Accessible :
   - none.
 No Accessible name :
   Class: org.netbeans.modules.kenai.ui.KenaiCombo {  |  } 
   Class: org.netbeans.modules.kenai.ui.treelist.TreeList {  |  } 
 No Accessible description :
   Class: org.netbeans.modules.kenai.ui.KenaiCombo {  |  } 
   Class: org.netbeans.modules.kenai.ui.treelist.TreeList {  |  } 
 Label with LABEL_FOR not set :
   - none.
 Components with no LABEL_FOR pointing to it :
   Class: org.netbeans.modules.kenai.ui.treelist.TreeList {  |  } 
 Components with no mnemonic :
   - none.
 Components with wrong mnemonic (mnemonic isn't ASCII , label doesn't contain mnemonic):
   - none.
 Components not reachable with tab traversal :
   Class: org.netbeans.modules.kenai.ui.KenaiCombo {  |  } 
   Class: org.netbeans.modules.kenai.ui.treelist.TreeList {  |  }
Comment 1 Jan Becicka 2010-04-21 09:28:54 UTC
Changeset: 2409b4f30ac2
Author:    Jan Becicka <jbecicka@netbeans.org>
Date:      2010-04-21 10:18
Message:   Issue #184549 - A11y problems in Team window
Comment 2 Quality Engineering 2010-04-22 04:33:05 UTC
Integrated into 'main-golden', will be available in build *201004220200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/2409b4f30ac2
User: Jan Becicka <jbecicka@netbeans.org>
Log: Issue #184549 - A11y problems in Team window
Comment 3 Jaromir Uhrik 2010-04-26 14:36:35 UTC
Sorry for the wrong part of this report related to "not available from keyboard
". Only the part related to acc name and desc is valid.

Verified in NetBeans IDE Dev (Build 201004260200). Acc name and desc are fixed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo